Page MenuHomePhabricator

Build tool to guess what tool was used to make reverts on Wikimedia wikis
Closed, ResolvedPublic

Description

The approach is based on matching edit comments to defaults found on
mediawiki:undo-summary
mediawiki:rollback-success
and in mediawiki configurations files.

The goal is to support all mediawiki wikis in all languages.
See https://github.com/groceryheist/mw_revert_tool_detector

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 24 2019, 4:15 PM
Halfak added a subscriber: Halfak.Sep 9 2019, 4:48 PM

@Groceryheist, is this bit done for now?

Yeah I would say so. There's always room to improve it i.e. to support more tools and wikis. I also haven't done quality checks for wikis that aren't in our study.

Halfak closed this task as Resolved.Sep 16 2019, 4:47 PM
Halfak moved this task from Active to Done on the Scoring-platform-team (Current) board.